Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.environment.logging.file
Class FileLogManager

    java.lang.Object
      rice.environment.logging.AbstractLogManager
          rice.environment.logging.simple.SimpleLogManager
              rice.environment.logging.file.FileLogManager

All Implemented Interfaces:
  CloneableLogManager, LogManager

public class FileLogManager
extends SimpleLogManager

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  Jeff Hoye

Field Summary

Fields inherited from class rice.environment.logging.AbstractLogManager
`dateFormat, dateFormatter, enabled, loggers, nullPrintStream, packageOnly, params, prefix, ps, SYSTEM_ERR, SYSTEM_OUT, time`

Constructor Summary
`FileLogManager(Parameters params)` Convienience constructor.
`FileLogManager(java.io.PrintStream stream, Parameters params)` Convienience constructor.
`FileLogManager(java.io.PrintStream stream, TimeSource timeSource, Parameters params)` Constructor for FileLogManager.
`FileLogManager(java.io.PrintStream stream, TimeSource timeSource, Parameters params, java.lang.String prefix)` Constructor for FileLogManager.
`FileLogManager(java.io.PrintStream stream, TimeSource timeSource, Parameters params, java.lang.String prefix, java.lang.String filePrefix, java.lang.String fileSuffix, java.lang.String dateFormat)` Constructor for FileLogManager.
`FileLogManager(TimeSource timeSource, Parameters params)` Convienience constructor.

Method Summary
`LogManager` | `clone(java.lang.String detail)` DESCRIBE THE METHOD

Methods inherited from class rice.environment.logging.simple.SimpleLogManager
`constructLogger, getParameters, getPrintStream, getTimeSource`

Methods inherited from class rice.environment.logging.AbstractLogManager
`getLogger, getPrefix, parseVal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface rice.environment.logging.LogManager
`getLogger`

Constructor Detail

### FileLogManager

    public FileLogManager(java.io.PrintStream stream,
                          TimeSource timeSource,
                          Parameters params)

  Constructor for FileLogManager.

Parameters:
  `stream` - DESCRIBE THE PARAMETER
  `timeSource` - DESCRIBE THE PARAMETER
  `params` - DESCRIBE THE PARAMETER

### FileLogManager

    public FileLogManager(java.io.PrintStream stream,
                          TimeSource timeSource,
                          Parameters params,
                          java.lang.String prefix)

  Constructor for FileLogManager.

Parameters:
  `stream` - DESCRIBE THE PARAMETER
  `timeSource` - DESCRIBE THE PARAMETER
  `params` - DESCRIBE THE PARAMETER
  `prefix` - DESCRIBE THE PARAMETER

### FileLogManager

    public FileLogManager(java.io.PrintStream stream,
                          TimeSource timeSource,
                          Parameters params,
                          java.lang.String prefix,
                          java.lang.String filePrefix,
                          java.lang.String fileSuffix,
                          java.lang.String dateFormat)

  Constructor for FileLogManager.

Parameters:
  `stream` - DESCRIBE THE PARAMETER
  `timeSource` - DESCRIBE THE PARAMETER
  `params` - DESCRIBE THE PARAMETER
  `prefix` - DESCRIBE THE PARAMETER
  `filePrefix` - DESCRIBE THE PARAMETER
  `fileSuffix` - DESCRIBE THE PARAMETER
  `dateFormat` - DESCRIBE THE PARAMETER

### FileLogManager

    public FileLogManager(Parameters params)

  Convienience constructor. Defauts to System.out as the stream, and SimpleTimeSource as the timesource.

Parameters:
  `params` - DESCRIBE THE PARAMETER

### FileLogManager

    public FileLogManager(java.io.PrintStream stream,
                          Parameters params)

  Convienience constructor. Defauts to SimpleTimeSource as the timesource.

Parameters:
  `stream` - the stream to write to
  `params` - DESCRIBE THE PARAMETER

### FileLogManager

    public FileLogManager(TimeSource timeSource,
                          Parameters params)

  Convienience constructor. Defauts to System.out as the stream.

Parameters:
  `timeSource` - the timesource to get times from
  `params` - DESCRIBE THE PARAMETER

Method Detail

### clone

    public LogManager clone(java.lang.String detail)

  DESCRIBE THE METHOD

  Specified by:
    `clone` in interface `CloneableLogManager`
  Overrides:
    `clone` in class `SimpleLogManager`
  Parameters:
    `detail` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.